commit:     b40da5fa4427360df77633ea7ea1890057235c92
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Thu May  2 17:45:28 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Thu May  2 17:45:28 2024 +0000
URL:        https://gitweb.gentoo.org/proj/tex-overlay.git/commit/?id=b40da5fa

texlive-module.eclass: sync with ::gentoo

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 eclass/texlive-module.eclass | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index b02b2b8..da33e25 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -523,19 +523,23 @@ texlive-module_src_install() {
                                xetex.1
                                xml2pmx.1
                        )
+                       local f
                        local grep_expressions=()
+                       # Transform texlive_core_man_pages into grep expressions
+                       # that will be used to filter out any man page that is
+                       # already installed by app-text/texlive-core.
                        for f in "${texlive_core_man_pages[@]}"; do
                                # Ensure that all dots are escaped so that they 
are
-                               # matched lilterarily. Also wrap the file in 
'/' and '$'
+                               # matched literarily. Also wrap the file in '/' 
and '$'
                                # within the expression.
-                               grep_expressions+=(-e "/${f//./\\.}$")
+                               grep_expressions+=(-e "/${f//./\\.}\$")
                        done
 
                        ebegin "Installing man pages"
                        find texmf-dist/doc/man -type f -name '*.[0-9n]' -print 
|
                                grep -v "${grep_expressions[@]}" |
                                xargs -d '\n' --no-run-if-empty doman
-                       nonfatal assert -n
+                       [[ "${PIPESTATUS[*]}" =~ ^0(" 0")*$ ]]
                        eend $? || die "error installing man pages"
 
                        # Delete all man pages under texmf-dist/doc/man

Reply via email to